org.apache.ignite.internal.processors.cache.persistence.wal

## Interface AbstractWalRecordsIterator.AbstractReadFileHandle

All Known Implementing Classes:
  FileWriteAheadLogManager.ReadFileHandle, FsyncModeFileWriteAheadLogManager.ReadFileHandle

Enclosing class:
  AbstractWalRecordsIterator

    protected static interface AbstractWalRecordsIterator.AbstractReadFileHandle

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `close()`
`long` `idx()`
`FileInput` `in()`
`RecordSerializer` `ser()`
`boolean` `workDir()`

### Method Detail

#### close

    void close()
        throws IgniteCheckedException

Throws:
  `IgniteCheckedException`

#### idx

    long idx()

#### in

    FileInput in()

#### ser

    RecordSerializer ser()

#### workDir

    boolean workDir()

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.4.0
Release Date | : March 5 2018